/* attribute 'sample' - doesn't do anything */
/* $Id: at_sample.c,v 1.0 1992/10/23 06:35:10 coleman Exp $ */

#include <at_sample.h>
#include <attribute.h>

/* Something like this should be at the top. */


/* The argument list of different attributes can be adjusted as necessary
   (i.e., there is no expectation that they will be all the same). */

void at_sample(aglo_graph graph) {
    static unsigned long at_graph_sequence;
    /* or: static unsigned long at_state_sequence; */

    /* Attributes should be coded with the expectation that they may be called
       too many times (i.e., because they are used by more than one
       aesthetic).  This format ensures that extra calls will merely return.
       Use UPDATE_GRAPH_ATTRIBUTE for attributes that depend only on the
       structure of the graph itself; UPDATE_STATE_ATTRIBUTE is for attributes
       which depend on the actual present state. */

    if (UPDATE_GRAPH_ATTRIBUTE) {
        /* set up some attribute of the graph */
    }

    return;
}
