/* generally useful macros and inlines */
/* $Id: defines.h,v 1.1 1993/05/26 23:22:27 coleman Exp $ */

#ifndef defines_h
#define defines_h

#include <system.h>
#include <string.h>
#include <stdlib.h>

#ifdef NDEBUG
#define INLINE inline
#else
#define INLINE /* */
#endif

static INLINE char *zmalloc(unsigned size) {
    return calloc(size, 1);
}

#define max(X,Y) ((X) < (Y) ? (Y) : (X))
#define min(X,Y) ((X) > (Y) ? (Y) : (X))

static INLINE double sqr(double d)
{
	return d*d;
}

static INLINE double fmax(double d1, double d2)
{
	return (d1 < d2) ? d2 : d1;
}

static INLINE double fmin(double d1, double d2) {
	return (d1 > d2) ? d2 : d1;
}

#endif
