/* aesthetic 'parent left' - put parent to left of child */
/* $Id: ae_parent_left.c,v 1.1 1993/05/26 23:20:16 coleman Exp $ */

#include <aesth.h>

declare_aesth(parent_left);

/* TBF - this needs to be set by the client */
#define K_PARENT_LEFT_BUFFER (5.0)

define_setup(parent_left) {
    return;
}

define_aesth(parent_left) {
    unsigned i;
    aglo_edge_record p;
    aglo_real a, b;

#define AXIS (0)

    for (i=0;i<graph->vertices;i++)
        for (p=graph->edge_table[i];p;p=p->next)
            if (p->forward)
                if ((a = state[i][AXIS] + K_PARENT_LEFT_BUFFER)
                    >= (b = state[p->tail][AXIS])) {
                    aglo_real mag = sqr(a - b);
                    gradient[i][AXIS] += -mag;
                    gradient[p->tail][AXIS] += mag;
                }
}
