/* declarations for aesths */
/* $Id: aesth.h,v 1.1 1993/05/26 23:22:27 coleman Exp $ */

#if !aesth_h
#define aesth_h 1

#include <aglo.h>
#include <defines.h>
#include <point.h>

#define declare_aesth(AESTHETIC_NAME) \
	aglo_aesth_gradient_fx ae_##AESTHETIC_NAME; \
	aglo_aesth_setup_fx ae_setup_##AESTHETIC_NAME;
	

#define define_aesth(AESTHETIC_NAME) \
	void ae_##AESTHETIC_NAME(aglo_graph graph, \
							 aglo_state_vector state, \
							 aglo_state_vector gradient)

#define define_setup(AESTHETIC_NAME) \
	void ae_setup_##AESTHETIC_NAME(aglo_graph graph)


#endif
