/* declarations that should have been in /usr/include */
/* $Id: system.h,v 1.1 1993/05/26 23:22:27 coleman Exp $ */

#if !system_h
#define system_h 1

#ifdef sun
#include <stdio.h>
#include <sys/time.h>
#include <sys/types.h>

long lrand48(void);
double drand48(void);
void perror(char *s);
int fscanf();
int	fprintf();
char *malloc(unsigned size);
char *memset(char *s, int c, int n);
int fputs(char *s, FILE *stream);
char *mktemp(char *template);
int fflush(FILE *stream);
int fclose(FILE *stream);
time_t time(time_t *);
int pclose(FILE *stream);
int sleep(unsigned);
#endif

#endif
